Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000489Core InformUnderstandingpublic2010-12-30 07:462014-05-07 07:33
Reporterektemple 
Assigned Tograham 
PrioritynormalSeveritymildReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSMac OS XOS Version10.6
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000489: Certain forms of author-defined KOVs fail to parse in player input
DescriptionAuthor-defined KOVs can have optional prefixes, e.g. the minus sign indicating a negative number:

   A real number is a kind of value. -999999.9999 specifies a real number with parts whole and fractional.

The I7 compiler understands both positive and negative forms perfectly well, but Inform is not capable of understanding the negative form in player input.
Minimal Source Text To Reproduce
Test is a room.

A real number is a kind of value. -999999.9999 specifies a real number with parts whole and fractional.


The element-selection set is a list of numbers variable. The element-selection set is {1}.

Scaling elements is an action applying to one real number. Understand "scale [real number]" 
as scaling elements.

Carry out scaling elements:
	say "Scaled to [real number understood]!"

Test me with "scale 0.8000 / scale -0.8000"

[Included to indicate that the compiler can properly understand and print negative real number:]
When play begins:
	let N be -1.9000;
	say "A real number: [N] !"
TagsNo tags attached.
Effect(serious/mild) Game compiles but misbehaves
Attached Files

- Relationships

-  Notes
(0000937)
EmacsUser (manager)
2010-12-31 06:35

Confirmed. The GPR contains this line:

- - - -
if (cur_addr->wpos == '-') jump Failed_LP_0;
- - - -
(0002515)
graham (administrator)
2014-02-16 08:14

Fixed.

- Issue History
Date Modified Username Field Change
2010-12-30 07:46 ektemple New Issue
2010-12-31 02:43 jmcgrew Status new => acknowledged
2010-12-31 06:35 EmacsUser Note Added: 0000937
2010-12-31 06:35 EmacsUser Status acknowledged => confirmed
2010-12-31 07:16 EmacsUser Reproducibility have not tried => always
2014-02-16 08:14 graham Note Added: 0002515
2014-02-16 08:14 graham Status confirmed => resolved
2014-02-16 08:14 graham Resolution open => fixed
2014-02-16 08:14 graham Assigned To => graham
2014-05-07 07:32 jmcgrew Fixed in Version => 6L02
2014-05-07 07:33 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker